Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class FilterVirtualFileVisitor

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.AbstractVirtualFileVisitor
          org.jboss.virtual.plugins.vfs.helpers.FilterVirtualFileVisitor

All Implemented Interfaces:
  VirtualFileVisitor

    public class FilterVirtualFileVisitor

extends AbstractVirtualFileVisitor

A visitor based on a virtual file filter

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`FilterVirtualFileVisitor(VirtualFileFilter filter)` Create a new FilterVirtualFileVisitor with default attributes
`FilterVirtualFileVisitor(VirtualFileFilter filter, VisitorAttributes attributes)` Create a new FilterVirtualFileVisitor.

Method Summary
`java.util.List<VirtualFile>` | `getMatched()` Get the matched files
`void` | `visit(VirtualFile virtualFile)` Visit a virtual file

Methods inherited from class org.jboss.virtual.plugins.vfs.helpers.AbstractVirtualFileVisitor
`getAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterVirtualFileVisitor

    public FilterVirtualFileVisitor(VirtualFileFilter filter)

  Create a new FilterVirtualFileVisitor with default attributes

  Parameters:
    `filter` - the filter
  Throws:
    `java.lang.IllegalArgumentException` - if the filter is null

### FilterVirtualFileVisitor

    public FilterVirtualFileVisitor(VirtualFileFilter filter,
                                    VisitorAttributes attributes)

  Create a new FilterVirtualFileVisitor.

  Parameters:
    `filter` - the filter
    `attributes` - the attributes, uses the default if null
  Throws:
    `java.lang.IllegalArgumentException` - if the filter is null

Method Detail

### getMatched

    public java.util.List<VirtualFile> getMatched()

  Get the matched files

  Returns:
    the matched files

### visit

    public void visit(VirtualFile virtualFile)

  Description copied from interface: `VirtualFileVisitor`
  Visit a virtual file

  Parameters:
    `virtualFile` - the virtual file being visited

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD